# -*- coding: utf-8 -*-
from setuphelpers import *

# Declaring global variables - Warnings: 1) WAPT context is only available in package functions; 2) Global variables are not persistent between calls


def install():
    # Declaring local variables
    bin_name = glob.glob("*pymecavideo_*.exe")[0]
    used_version = get_product_props(bin_name)["ProductVersion"]

    # Installing the software
    print("Installing: %s" % bin_name)
    install_exe_if_needed(
        bin_name,
        silentflags="/VERYSILENT /SUPPRESSMSGBOXES /NORESTART /SP-",
        key="pymecavideo %s_is1" % used_version,
        min_version=used_version,
    )
